%define name lats
%define version 0.6
%define cvs 20020716
%define release 0.%cvs.4mdk

Summary: Look At The Stars image viewer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: Look_at_the_stars-%{version}-%cvs.tar.bz2
Source1: %{name}-48.png
Source2: %{name}-32.png
Source3: %{name}-16.png
License: GPL
Group: Graphics
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://lats.sourceforge.net/
BuildRequires: libgdk-pixbuf2-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgnome32-devel

%description

This is an image viewer featuring thumbnail and pattern view, zooming,
fullscreen and other advanced features.

%prep
%setup -q -n %name

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -rf %buildroot%_prefix/doc/look_at_the_stars
install -d %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name):\
command="%_bindir/%name"\
icon="%{name}.png"\
title="Look at the stars"\
longtitle="A browser for graphics files"\
needs="x11"\
section="Multimedia/Graphics"
EOF

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%name.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%name.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ChangeLog
%_bindir/%name
%_datadir/pixmaps/%name/look_at_the_stars_icon.png
%_datadir/gnome/apps/Graphics/look_at_the_stars.desktop
%_menudir/%name
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20020716.4mdk
- fix buildrequires

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20020716.3mdk
- rebuild against latest ssl

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20020716.2mdk
- clean unpackaged files

* Sun Jul 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-0.20020716.1mdk
- initial package
